<?xml version="1.0"?>

<!-- Author: Jianqun (https://jianqun.me) | Updated: 2026-05-08 -->

<!DOCTYPE fontconfig SYSTEM "urn:fontconfig:fonts.dtd">
<fontconfig>
  <match target="pattern">
    <test qual="any" name="family">
      <string>system-ui</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Sarasa UI SC</string>
      <string>Noto Sans</string>
      <string>Noto Sans CJK SC</string>
      <string>Noto Sans CJK TC</string>
      <string>Noto Sans CJK JP</string>
      <string>Noto Sans CJK KR</string>
      <string>Noto Color Emoji</string>
    </edit>
  </match>

  <match target="pattern">
    <test qual="any" name="family">
      <string>monospace</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Sarasa Mono SC</string>
      <string>Noto Sans Mono</string>
      <string>Noto Sans Mono CJK SC</string>
      <string>Noto Sans Mono CJK TC</string>
      <string>Noto Sans Mono CJK JP</string>
      <string>Noto Sans Mono CJK KR</string>
      <string>Noto Color Emoji</string>
    </edit>
  </match>

  <match target="pattern">
    <test qual="any" name="family">
      <string>sans-serif</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Sarasa UI SC</string>
      <string>Noto Sans</string>
      <string>Noto Sans CJK SC</string>
      <string>Noto Sans CJK TC</string>
      <string>Noto Sans CJK JP</string>
      <string>Noto Sans CJK KR</string>
      <string>Noto Color Emoji</string>
    </edit>
  </match>

  <match target="pattern">
    <test qual="any" name="family">
      <string>serif</string>
    </test>
    <edit name="family" mode="prepend" binding="strong">
      <string>Noto Serif</string>
      <string>Noto Serif CJK SC</string>
      <string>Noto Serif CJK TC</string>
      <string>Noto Serif CJK JP</string>
      <string>Noto Serif CJK KR</string>
      <string>Noto Color Emoji</string>
    </edit>
  </match>
</fontconfig>
